Bug 177019 - no default route with 2.6.15 kernel
no default route with 2.6.15 kernel
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: initscripts (Show other bugs)
fc2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 07:34 EST by Ray
Modified: 2007-04-18 13:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 19:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray 2006-01-05 07:34:22 EST
Description of problem:

FC2 with (custom) 2.6.13 kernel boots and brings up network correctly, with a
default route to the internet.

building a 2.6.15 kernel (same config as for 2.6.13 kernel) and booting results
in no default route, although access to the intranet is fine (ie 192.168.0.x). 
running /sbin/ifup eth0 i am told

    RTNETLINK answers: No such device
    RTNETLINK answers: Network is unreachable
    RTNETLINK answers: Invalid argument
    RTNETLINK answers: Invalid argument

rebooting back to 2.6.13 does not have show this issue and the routes
are correctly setup. 

however, i have used the same 2.6.15 kernel on a FC4 box and the default route
is setup correctly.  to verify that it was the initscripts on FC2, i backed up
my /etc dir and installed FC4's initscript pkg.  rebooting with 2.6.15 the
default route is setup


Version-Release number of selected component (if applicable):


How reproducible:
everytime booting from 2.6.15 on FC2

Steps to Reproduce:
1.  working FC2 with access to internet
2.  build and install 2.6.15
3.  reboot with 2.6.15
  
Actual results:
no default route

Expected results:
default route to be setup

Additional info:
the following is the shell execution of ifup as run by root on FC2 with the FC2
initscripts

# sh -x /sbin/ifup eth0
+ . /etc/init.d/functions
++ TEXTDOMAIN=initscripts
++ umask 022
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin
++ export PATH
++ '[' -z '' ']'
++ COLUMNS=80
++ '[' -z '' ']'
+++ /sbin/consoletype
++ CONSOLETYPE=pty
++ '[' -f /etc/sysconfig/i18n -a -z '' ']'
++ . /etc/sysconfig/i18n
+++ LANG=en_US.UTF-8
+++ SUPPORTED=en_GB.UTF-8:en_GB:en:en_US.UTF-8:en_US:en
+++ SYSFONT=latarcyrheb-sun16
++ '[' pty '!=' pty ']'
++ export LANG
++ '[' -z '' ']'
++ '[' -f /etc/sysconfig/init ']'
++ . /etc/sysconfig/init
+++ BOOTUP=color
+++ GRAPHICAL=yes
+++ RES_COL=60
+++ MOVE_TO_COL=echo -en \033[60G
+++ SETCOLOR_SUCCESS=echo -en \033[0;32m
+++ SETCOLOR_FAILURE=echo -en \033[0;31m
+++ SETCOLOR_WARNING=echo -en \033[0;33m
+++ SETCOLOR_NORMAL=echo -en \033[0;39m
+++ LOGLEVEL=3
+++ PROMPT=yes
++ '[' pty = serial ']'
++ '[' color '!=' verbose ']'
++ INITLOG_ARGS=-q
+ cd /etc/sysconfig/network-scripts
+ . network-functions
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin
++ export PATH
+ '[' -f ../network ']'
+ . ../network
++ NETWORKING=yes
++ HOSTNAME=marty
++ GATEWAY=192.168.0.1
+ CONFIG=eth0
+ '[' -z eth0 ']'
+ need_config eth0
+ CONFIG=ifcfg-eth0
+ '[' -f ifcfg-eth0 ']'
+ return
+ '[' -f ifcfg-eth0 ']'
+ '[' 0 '!=' 0 ']'
+ source_config
++ basename ifcfg-eth0
++ sed 's/^ifcfg-//g'
+ DEVNAME=eth0
+ basename ifcfg-eth0
+ grep -q '[^g]-'
+ . ifcfg-eth0
++ DEVICE=eth0
++ ONBOOT=no
++ BOOTPROTO=static
++ IPADDR=192.168.0.9
++ NETMASK=255.255.255.0
++ GATEWAY=192.168.0.1
++ PEERDNS=no
++ MULTICAST=yes
+ '[' -r keys-eth0 ']'
+ '[' -z '' ']'
++ echo eth0
++ sed 's/[0-9]*$//'
+ DEVICETYPE=eth
+ '[' -z '' -a -n '' ']'
+ '[' -z '' ']'
+ REALDEVICE=eth0
+ '[' eth0 '!=' eth0 ']'
+ ISALIAS=no
+ '[' -n '' ']'
+ '[' -n '' ']'
+ '[' foo = fooboot -a no = no -o no = NO ']'
+ '[' -n '' -a '' = no -o '' = NO ']'
+ '[' -n '' -a '' = Bridge ']'
+ '[' -x /sbin/vconfig -a '' = yes ']'
+ '[' '' = yes ']'
+ '[' static = bootp -o static = dhcp ']'
+ '[' -x /sbin/ifup-pre-local ']'
+ OTHERSCRIPT=/etc/sysconfig/network-scripts/ifup-eth
+ '[' -x /etc/sysconfig/network-scripts/ifup-eth ']'
+ is_available eth0
+ LC_ALL=
+ LANG=
+ ip -o link
+ grep -q eth0
+ '[' 0 = 1 ']'
+ return 0
+ '[' -n '' ']'
+ '[' '' = Bridge ']'
+ '[' -n '' -a -x /usr/sbin/brctl ']'
+ is_available eth0
+ LC_ALL=
+ LANG=
+ ip -o link
+ grep -q eth0
+ '[' 0 = 1 ']'
+ return 0
+ is_wireless_device eth0
+ '[' -x /sbin/iwconfig ']'
+ LC_ALL=C
+ iwconfig eth0
+ grep -q 'no wireless extensions'
+ return 1
+ '[' '' = yes -a no = no -a '' '!=' '' -a -x /sbin/ifenslave ']'
+ '[' '' = Bonding ']'
+ ethtool -i eth0
+ grep -q 'driver: bonding'
+ '[' -n '' ']'
+ '[' -n '' ']'
+ FWACTIVE=
+ iptables -L -n
+ LC_ALL=C
+ grep -q RH-Lokkit-0-50-INPUT
+ modprobe -r iptable_filter
+ '[' -w /etc/dhclient-eth0.conf ']'
+ '[' -n '' ']'
+ '[' -z 192.168.0.9 ']'
+ expand_config
+ '[' -z 255.255.255.0 ']'
+ '[' -z '' ']'
++ /bin/ipcalc --prefix 192.168.0.9 255.255.255.0
+ eval PREFIX=24
++ PREFIX=24
+ '[' -z '' ']'
++ /bin/ipcalc --broadcast 192.168.0.9 255.255.255.0
+ eval BROADCAST=192.168.0.255
++ BROADCAST=192.168.0.255
+ '[' -z '' ']'
++ /bin/ipcalc --network 192.168.0.9 255.255.255.0
+ eval NETWORK=192.168.0.0
++ NETWORK=192.168.0.0
+ '[' -n '' ']'
+ ip link set dev eth0 up
+ '[' -n '' ']'
+ arping -q -c 2 -w 3 -D -I eth0 192.168.0.9
+ '[' eth0 = lo ']'
+ SCOPE=
+ '[' -n '' ']'
+ SRC=
+ LC_ALL=C
+ ip addr ls eth0
+ LC_ALL=C
+ grep -q 192.168.0.9/24
+ ip addr add 192.168.0.9/24 brd 192.168.0.255 dev eth0 label eth0
+ '[' -n '' ']'
+ arping -q -A -c 1 -I eth0 192.168.0.9
+ '[' no = no -a 255.255.255.0 '!=' 255.255.255.255 ']'
+ ip route replace 192.168.0.0/24 dev eth0
RTNETLINK answers: No such device
+ '[' -z '' -o '' = eth0 ']'
++ ipcalc --network 192.168.0.1 255.255.255.0
+ '[' -n 192.168.0.1 -a NETWORK=192.168.0.0 = NETWORK=192.168.0.0 ']'
+ ip route replace default via 192.168.0.1
RTNETLINK answers: Network is unreachable
+ '[' -z '' -a no = no ']'
+ ip route replace 169.254.0.0/16 dev eth0
RTNETLINK answers: Invalid argument
+ '[' yes = yes ']'
+ ip route replace 224.0.0.0/4 dev eth0
RTNETLINK answers: Invalid argument
+ '[' '' = yes ']'
+ '[' '' = yes ']'
+ exec /etc/sysconfig/network-scripts/ifup-post ifcfg-eth0
Comment 1 Bill Nottingham 2006-01-06 14:33:22 EST
Fedora Core 2 is now supported by the Fedora Legacy project. See
http://www.fedoralegacy.org/ for details.
Comment 2 Ray 2006-01-09 18:59:59 EST
(In reply to comment #1)
> Fedora Core 2 is now supported by the Fedora Legacy project. See
> http://www.fedoralegacy.org/ for details.

thanks.  but on their webpage, with the heading "Fedora Legacy Bug Reports" it
just has a link to you guys ("Any bugs reports should be submitted to the Red
Hat Bugzilla system.")

am i missing something? 
Comment 3 Bill Nottingham 2006-01-09 19:01:32 EST
They should be submitted against Fedora Legacy. I can move this one over.
Comment 4 Jesse Keating 2006-01-09 19:20:14 EST
I hardly see how this is a Legacy issue (security / severe bugfix), plus it is
with a 3rd party package, in this case an upstream kernel.  I'm going to close
this wontfix.

Note You need to log in before you can comment on or make changes to this bug.